package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyDeduct;
import com.fs.company.vo.CompanyDeductExportVO;
import com.fs.company.vo.CompanyDeductVO;

/**
 * 扣款Service接口
 *
 * @author fs
 * @date 2023-02-27
 */
public interface ICompanyDeductService
{
    /**
     * 查询扣款
     *
     * @param deductId 扣款ID
     * @return 扣款
     */
        public CompanyDeduct selectCompanyDeductById(Long deductId);

    /**
     * 查询扣款列表
     *
     * @param companyDeduct 扣款
     * @return 扣款集合
     */
    public List<CompanyDeduct> selectCompanyDeductList(CompanyDeduct companyDeduct);

    /**
     * 新增扣款
     *
     * @param companyDeduct 扣款
     * @return 结果
     */
    public int insertCompanyDeduct(CompanyDeduct companyDeduct);

    /**
     * 修改扣款
     *
     * @param companyDeduct 扣款
     * @return 结果
     */
    public int updateCompanyDeduct(CompanyDeduct companyDeduct);

    /**
     * 批量删除扣款
     *
     * @param deductIds 需要删除的扣款ID
     * @return 结果
     */
    public int deleteCompanyDeductByIds(Long[] deductIds);

    /**
     * 删除扣款信息
     *
     * @param deductId 扣款ID
     * @return 结果
     */
    public int deleteCompanyDeductById(Long deductId);

    List<CompanyDeductVO> selectCompanyDeductVOList(CompanyDeduct companyDeduct);

    List<CompanyDeductExportVO> selectCompanyExportDeductList(CompanyDeduct companyDeduct);
}
